/**
 * Customizer Live Preview
 *
 * Reloads changes on Theme Customizer Preview asynchronously for better usability
 *
 * @package Salal
 */

( function( $ ) {

	// Site Title textfield.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title' ).text( to );
		} );
	} );

	// Site Description textfield.
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );

	// Site Title checkbox.
	wp.customize( 'salal_theme_options[site_title]', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				hideElement( '.site-title' );
			} else {
				showElement( '.site-title' );
			}
		} );
	} );

	// Site Description checkbox.
	wp.customize( 'salal_theme_options[site_description]', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				hideElement( '.site-description' );
			} else {
				showElement( '.site-description' );
			}
		} );
	} );

	// Archive Title Group checkbox.
	wp.customize( 'salal_theme_options[archive_title_group]', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				hideElement( '.archive-header' );
			} else {
				showElement( '.archive-header' );
			}
		} );
	} );
	
	// Header nav width 
	wp.customize('salal_header_nav_width',function(value) {
		value.bind( function( to ) {
			$('.site-header .container').css('max-width',to+'%');
		} );
	} );	
	
	// Bottom Sidebars width 
 	wp.customize('salal_bottom_sidebar_width',function(value) {
		value.bind( function( to ) {
			$('#bottom-sidebar .widget-area').css('max-width',to+'%');
		} );
	} );
	
	// Footer width 
	wp.customize('salal_footer_width',function(value) {
		value.bind( function( to ) {
			$('#footer-content').css('max-width',to+'%');
		} );
	} );		
	
	// Theme Layout.
	wp.customize( 'salal_theme_options[theme_layout]', function( value ) {
		value.bind( function( newval ) {
			if ( 'boxed' === newval ) {
				$( 'body' ).addClass( 'boxed-theme-layout' );
				$( 'body' ).removeClass( 'centered-theme-layout' );
				$( 'body' ).removeClass( 'wide-theme-layout' );
			} else if ( 'centered' === newval ) {
				$( 'body' ).addClass( 'centered-theme-layout' );
				$( 'body' ).removeClass( 'boxed-theme-layout' );
				$( 'body' ).removeClass( 'wide-theme-layout' );
			} else {
				$( 'body' ).addClass( 'wide-theme-layout' );
				$( 'body' ).removeClass( 'centered-theme-layout' );
				$( 'body' ).removeClass( 'boxed-theme-layout' );
			}
		} );
	} );

	// Blog Sidebar Position.
	wp.customize( 'salal_theme_options[sidebar_position]', function( value ) {
		value.bind( function( newval ) {
			if ( 'left' === newval ) {
				$( 'body' ).addClass( 'sidebar-left' );
				$( 'body' ).removeClass( 'sidebar-right' );
				$( 'body' ).removeClass( 'no-sidebar' );
				
			} else if ( 'right' === newval ) {
				$( 'body' ).addClass( 'sidebar-right' );
				$( 'body' ).removeClass( 'sidebar-left' );
				$( 'body' ).removeClass( 'no-sidebar' );
					
			} else if ( 'none' === newval ) {	
				$( 'body' ).addClass( 'no-sidebar' );
				$( 'body' ).removeClass( 'sidebar-left' );
				$( 'body' ).removeClass( 'sidebar-right' );
			}	
			
		} );
	} );

	// Post Sidebar Position.
	wp.customize( 'salal_theme_options[sidebar_position_post]', function( value ) {
		value.bind( function( newval ) {
			if ( 'left' === newval ) {
				$( 'body' ).addClass( 'sidebar-left' );
				$( 'body' ).removeClass( 'sidebar-right' );
				$( 'body' ).removeClass( 'no-sidebar' );
				
			} else if ( 'right' === newval ) {
				$( 'body' ).addClass( 'sidebar-right' );
				$( 'body' ).removeClass( 'sidebar-left' );
				$( 'body' ).removeClass( 'no-sidebar' );
						
			} else if ( 'none' === newval ) {	
				$( 'body' ).addClass( 'no-sidebar' );
				$( 'body' ).removeClass( 'sidebar-left' );
				$( 'body' ).removeClass( 'sidebar-right' );
			}		

		} );
	} );

	// Copyright textfield.
	wp.customize( 'salal_copyright', function( value ) {
		value.bind( function( to ) {
			$( '#copyright-name' ).text( to );
		} );
	} );
	
	// Read More textfield.
	wp.customize( 'salal_theme_options[read_more_text]', function( value ) {
		value.bind( function( to ) {
			$( 'a.more-link' ).text( to );
		} );
	} );

	// Blog Layout.
	wp.customize( 'salal_theme_options[blog_layout]', function( value ) {
		value.bind( function( newval ) {
			if ( 'list' === newval ) {
				$( 'body' ).addClass( 'blog-list-layout' );
				$( 'body' ).removeClass( 'blog-grid-layout' );				
				$( 'body' ).removeClass( 'blog-large-layout' );
				
			} else if ( 'grid' === newval ) {
				$( 'body' ).addClass( 'blog-grid-layout' );
				$( 'body' ).removeClass( 'blog-list-layout' );				
				$( 'body' ).removeClass( 'blog-large-layout' );
				
			} else {
				$( 'body' ).addClass( 'blog-large-layout' );			
				$( 'body' ).removeClass( 'blog-grid-layout' );
				$( 'body' ).removeClass( 'blog-list-layout' );
			}
		} );
	} );

	// Single Post Layout.
	wp.customize( 'salal_theme_options[post_layout]', function( value ) {
		value.bind( function( newval ) {
			if ( 'full' === newval ) {
				$( 'body' ).addClass( 'fullwidth-single-post' );
			} else {
				$( 'body' ).removeClass( 'fullwidth-single-post' );
			}
		} );
	} );

	// Post Date checkbox.
	wp.customize( 'salal_theme_options[meta_date]', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				$( 'body' ).addClass( 'date-hidden' );
			} else {
				$( 'body' ).removeClass( 'date-hidden' );
			}
		} );
	} );

	// Post Author checkbox.
	wp.customize( 'salal_theme_options[meta_author]', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				$( 'body' ).addClass( 'author-hidden' );
			} else {
				$( 'body' ).removeClass( 'author-hidden' );
			}
		} );
	} );

	// Single Post Category checkbox.
	wp.customize( 'salal_theme_options[post_category]', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				$( 'body' ).addClass( 'post-category-hidden' );
			} else {
				$( 'body' ).removeClass( 'post-category-hidden' );
			}
		} );
	} );
	
	// Post Category checkbox.
	wp.customize( 'salal_theme_options[meta_category]', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				$( 'body' ).addClass( 'categories-hidden' );
			} else {
				$( 'body' ).removeClass( 'categories-hidden' );
			}
		} );
	} );

	// Post Tags checkbox.
	wp.customize( 'salal_theme_options[meta_tags]', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				$( 'body' ).addClass( 'tags-hidden' );
			} else {
				$( 'body' ).removeClass( 'tags-hidden' );
			}
		} );
	} );

	// Post Navigation checkbox.
	wp.customize( 'salal_theme_options[post_navigation]', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				hideElement( '.single-post .site-main .post-navigation' );
			} else {
				showElement( '.single-post .site-main .post-navigation' );
			}
		} );
	} );

	// Post Thumbnails checkbox.
	wp.customize( 'salal_theme_options[post_image_archives]', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				$( 'body' ).addClass( 'post-thumbnails-hidden' );
			} else {
				$( 'body' ).removeClass( 'post-thumbnails-hidden' );
			}
		} );
	} );

	// Single Post Thumbnail checkbox.
	wp.customize( 'salal_theme_options[post_image_single]', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				$( 'body' ).addClass( 'post-thumbnail-hidden' );
			} else {
				$( 'body' ).removeClass( 'post-thumbnail-hidden' );
			}
		} );
	} );

	// Slide Category checkbox.
	wp.customize( 'salal_theme_options[display_slide_cat]', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				hideElement( '.slide-text .post-category' );
			} else {
				showElement( '.slide-text .post-category' );
			}
		} );
	} );

	// Slide Date checkbox.
	wp.customize( 'salal_display_slide_date', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				hideElement( '.slide-date' );
			} else {
				showElement( '.slide-date' );
			}
		} );
	} );
	
	// Slide Read More checkbox.
	wp.customize( 'salal_display_slide_readmore', function( value ) {
		value.bind( function( newval ) {
			if ( false === newval ) {
				hideElement( '.slide-more' );
			} else {
				showElement( '.slide-more' );
			}
		} );
	} );
	
	// Site Title Colour
	wp.customize('salal_sitetitle_colour',function(value) {
		value.bind( function( to ) {
			$('.site-title a').css('color',to);
		} );
	} );

	// Site Tagline Colour
	wp.customize('salal_tagline_colour',function(value) {
		value.bind( function( to ) {
			$('.site-description').css('color',to);
		} );
	} );

	// Slider Background Colour
	wp.customize('salal_slider_bg',function(value) {
		value.bind( function( to ) {
			$('.owl-carousel').css('background-color',to);
		} );
	} );
	
	function hideElement( element ) {
		$( element ).css({
			clip: 'rect(1px, 1px, 1px, 1px)',
			position: 'absolute',
			width: '1px',
			height: '1px',
			overflow: 'hidden'
		});
	}

	function showElement( element ) {
		$( element ).css({
			clip: 'auto',
			position: 'relative',
			width: 'auto',
			height: 'auto',
			overflow: 'visible'
		});
	}

} )( jQuery );
