<?php
/**
 * The template for displaying the blog index (latest posts)
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Salal
 */
 
// Get theme options from database.
$theme_options = salal_theme_options();
	
get_header(); ?>

    <div id="primary" class="content-archive content-area">
        <main id="main" class="site-main">

        <?php
		if ( have_posts() ) :

			echo '<div id="post-wrapper" class="post-wrapper">';			
				do_action( 'salal_before_post_wrapper_content' ); 
			while ( have_posts() ) : the_post();
				get_template_part( 'template-parts/posts/content', esc_attr( salal_get_option( 'blog_content' ) ) );
			endwhile;
			do_action( 'salal_after_post_wrapper_content' ); 			
			echo '</div>';
			salal_blog_navigation();
		else :
			get_template_part( 'template-parts/posts/content', 'none' );
		endif; ?>

        </main>
        <!-- #main -->
    </div>
    <!-- #primary -->

    <?php
	// Show the sidebar only if we have the left or right sidebar position set.
	if ( 'left' == $theme_options['sidebar_position'] || 'right' == $theme_options['sidebar_position']) {
		get_sidebar();
	}

get_footer();