<?php
/**
 * Basic Settings
 *
 * Register Basic Settings section, settings and controls for Theme Customizer
 *
 * @package Salal
 */

/**
 * Adds post settings in the Customizer
 *
 * @param object $wp_customize / Customizer Object.
 */
function salal_customize_register_basic_settings( $wp_customize ) {

	// Add Sections for Post Settings.
	$wp_customize->add_section( 'salal_section_basic', array(
		'title'    => esc_html__( 'Basic Settings', 'salal' ),
		'priority' => 8,
		'panel' => 'salal_options_panel',
	) );
		
	// Add Post Details Headline.
	$wp_customize->add_control( new Salal_Customize_Header_Control(
		$wp_customize, 'salal_theme_options[basic_options]', array(
			'label' => esc_html__( 'Basic Options', 'salal' ),
			'section' => 'salal_section_basic',
			'settings' => array(),
		)
	) );
	
	// Add a copyright setting and control.
	$wp_customize->add_setting( 'salal_copyright', array(
		'transport'         => 'postMessage',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'salal_copyright', array(
		'label'    => esc_html__( 'Copyright Name', 'salal' ),
		'section'  => 'salal_section_basic',
		'type'     => 'text',
	) );
	
		// Add Gallery Comments Headline.
	$wp_customize->add_control( new Salal_Customize_Header_Control(
		$wp_customize, 'salal_theme_options[basic_options]', array(
			'label' => esc_html__( 'WP Gallery Options', 'salal' ),
			'section' => 'salal_section_basic',
			'settings' => array(),
		)
	) );
	
	// Add Setting and Control for showing post date.
	$wp_customize->add_setting( 'salal_attachment_comments', array(
		'default'           => true,
		'transport'         => 'postMessage',
		'sanitize_callback' => 'salal_sanitize_checkbox',
	) );

	$wp_customize->add_control( 'salal_attachment_comments', array(
		'label'    => esc_html__( 'Enable Gallery View Comments', 'salal' ),
		'section'  => 'salal_section_basic',
		'type'     => 'checkbox',
	) );
	
}
add_action( 'customize_register', 'salal_customize_register_basic_settings' );

