<?php
/**
 * Pro Version Upgrade Section
 * Registers Upgrade Section for the Pro Version of the theme
 * @package Salal
 */

/**
 * Adds pro version description and CTA button
 * @param object $wp_customize / Customizer Object.
 */
function salal_customize_register_upgrade_settings( $wp_customize ) {

// SECTION - UPGRADE
    $wp_customize->add_section( 'salal_upgrade', array(
        'title'       => esc_html__( 'Upgrade to Pro', 'salal' ),
        'priority'    => 1
    ) );
	
	
	
	// Add custom Upgrade Content control.
		$wp_customize->add_setting( 'salal_upgrade', array(
			'default' => '',
			'sanitize_callback' => '__return_false'
		) );
		
		$wp_customize->add_control( new Salal_Customize_Static_Text_Control( $wp_customize, 'salal_upgrade', array(
			'label'	=> esc_html__('Get The Pro Version:','salal'),
			'section'	=> 'salal_upgrade',
			'description' => array('')
		) ) );	

}
add_action( 'customize_register', 'salal_customize_register_upgrade_settings' );
 